<?php
//
//
#Автор: Jquery
#telegram: @justin_olivier
//
//
//Фильтрация текста
function text($var) {
return trim(htmlspecialchars($var, ENT_QUOTES, 'UTF-8'));
}
//Фильтрация чисел
function num($var) {
return filter_var($var, FILTER_VALIDATE_INT);
}
//
//
//Склонения
function slv($str, $msg1, $msg2, $msg3, $ks = NULL) {
$str1 = abs($str) % 100;
$str2 = $str % 10;
if (isset($ks)): $strrr = $str; else: $strrr = NULL; endif;
if ($str1 > 10 && $str1 < 20) return $strrr .' '. $msg3;
if ($str2 > 1 && $str2 < 5) return $strrr .' '. $msg2;
if ($str2 == 1) return $strrr .' '. $msg1;
return $strrr .' '. $msg3;
}
//
//
function logi($log){
if($log != null){
$_SESSION['log'][] = $log;
}
}

function logs(){
$count = count($_SESSION['log']);
for($i = '0';$i <= $count;$i++){
$text = $text."<div>".$_SESSION['log'][$i]."</div>";
}
if($count > '0'){
return $text.logn();
}
}

function logn(){unset($_SESSION['log']);}

function err2($err){
	if($err != null){
		logi("<div class='menu-not'><font color = 'tomato'>".$err."</font></div>");
	}
}
function ok2($err){
	if($err != null){
		logi("<div class='menu-not'><font color = '#32cd32'>".$err."</font></div>");
	}
}

function err($err){
	if($err != null){
		logi("<div class='menu'><font color = 'tomato'>".$err."</font></div><br>");
	}
}

function ok($err){
	if($err != null){
		logi("<div class='menu'><font color = '#32cd32'>".$err."</font></div><br>");
	}
}
//
//
//ББ коды
function bbcode($text){ 
$str_search = array( 
"/\[(\/?)(br|b|i|u|s)\s*\]/", 
"#\[smile(.+?)\]#is", 
"#\[br\]#is",
"#\[url=(.+?)\](.+?)\[\/url\]#is", 
"#\[img=(.+?)\](.+?)\[\/img\]#is", 
"#\[cntr\](.+?)\[\/cntr\]#is", 
"#\[color=(.+?)\](.+?)\[\/color\]#is", 
"#\[\*\](.+?)\[\/\*\]#" 
); 
$str_replace = array( 
"<$1$2>", 
"<img src = '/images/emoji/\\1.png'>", 
"<br/>", 
"<a href = '\\1'>\\2</a>", 
"<img src = '\\1' width='\\2' height='\\2' alt = '*' />", 
"<center>\\1</center>", 
"<font color = '\\1'>\\2</font>", 
"<li>\\1</li>" 
); 
return preg_replace($str_search, $str_replace, $text); 
} 
//
//
//обрезаем текст
function text_msg( $text, $maxwords = 100, $maxchar = 105 ){
$sep=' ';
$words = explode($sep,$text);
$char = iconv_strlen($text,'utf-8');
if (count($words) > $maxwords){
$text = join($sep, array_slice($words, 0, $maxwords));
}
if ( $char > $maxchar ){
$sep2='...';
$text = iconv_substr( $text, 0, $maxchar, 'utf-8' );
}
return $text;
}
//
//